/**
 * A subnet to create COP nodes
 *
 */
import { ParamLessBaseNetworkMatNode } from './_BaseManager';
import { NodeContext, NetworkNodeType } from '../../poly/NodeContext';
import { CopNodeChildrenMap } from '../../poly/registers/nodes/Cop';
import { BaseCopNodeType } from '../cop/_Base';
import { ParamsInitData } from '../utils/io/IOController';
import { Constructor, valueof } from '../../../types/GlobalTypes';
export declare class CopMatNode extends ParamLessBaseNetworkMatNode {
    static type(): NetworkNodeType;
    protected _children_controller_context: NodeContext;
    createNode<S extends keyof CopNodeChildrenMap>(node_class: S, params_init_value_overrides?: ParamsInitData): CopNodeChildrenMap[S];
    createNode<K extends valueof<CopNodeChildrenMap>>(node_class: Constructor<K>, params_init_value_overrides?: ParamsInitData): K;
    children(): BaseCopNodeType[];
    nodesByType<K extends keyof CopNodeChildrenMap>(type: K): CopNodeChildrenMap[K][];
}
